Shopify store products
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-shopify-products-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_domain": "e.g. gymshark.com",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-shopify-products-search"
payload = {
"store_domain": "e.g. gymshark.com",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({store_domain: 'e.g. gymshark.com', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-shopify-products-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "shopify_products_search",
"store_domain": "allbirds.com",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Shopify products (store listing)\n\n- **Store:** allbirds.com\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 52.8 KB",
"machine": {
"store_domain": "allbirds.com",
"total_items": 2,
"first_item": {
"id": 7340901859408,
"alias": "womens-allbirds-flip-flop-dusty-pink",
"title": "Women's Allbirds Flip Flop - Dusty Pink",
"url": "https://allbirds.com/products/womens-allbirds-flip-flop-dusty-pink",
"description": "Sun on your feet. Comfort underneath. Light, easy, and made for warm weather, these flip flops bring everyday comfort to sunny days, beach walks, and everything in between. Just slip them on and go.",
"description_html": "<p>Sun on your feet. Comfort underneath. Light, easy, and made for warm weather, these flip flops bring everyday comfort to sunny days, beach walks, and everything in between. Just slip them on and go",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-a4d5d0f6620dc304306f503bf67bc5f9"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_LEFT.png?v=1774646345",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_LEFT.png?v=1774646345",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_BACK.png?v=1774646345"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"5",
"6"
]
}
],
"variants": [
{
"id": 42146889039952,
"title": "5",
"sku": "A12513W050",
"barcode": null,
"price": 25,
"list_price": 50,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "5",
"option2": null,
"option3": null,
"grams": 455,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00"
},
{
"id": 42146889072720,
"title": "6",
"sku": "A12513W060",
"barcode": null,
"price": 25,
"list_price": 50,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "6",
"option2": null,
"option3": null,
"grams": 492,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00"
}
],
"currency": "USD",
"price_min": 25,
"price_max": 25,
"available": true,
"published_at": "2026-09-25T16:58:13-07:00",
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00",
"source": "json"
},
"items": [
{
"id": 7340901859408,
"alias": "womens-allbirds-flip-flop-dusty-pink",
"title": "Women's Allbirds Flip Flop - Dusty Pink",
"url": "https://allbirds.com/products/womens-allbirds-flip-flop-dusty-pink",
"description": "Sun on your feet. Comfort underneath. Light, easy, and made for warm weather, these flip flops bring everyday comfort to sunny days, beach walks, and everything in between. Just slip them on and go.",
"description_html": "<p>Sun on your feet. Comfort underneath. Light, easy, and made for warm weather, these flip flops bring everyday comfort to sunny days, beach walks, and everything in between. Just slip them on and go",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-a4d5d0f6620dc304306f503bf67bc5f9"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_LEFT.png?v=1774646345",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_LEFT.png?v=1774646345",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12513_26Q2_Allbirds-Flip-Flop-Dusty-Pink_PDP_BACK.png?v=1774646345"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"5",
"6"
]
}
],
"variants": [
{
"id": 42146889039952,
"title": "5",
"sku": "A12513W050",
"barcode": null,
"price": 25,
"list_price": 50,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "5",
"option2": null,
"option3": null,
"grams": 455,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00"
},
{
"id": 42146889072720,
"title": "6",
"sku": "A12513W060",
"barcode": null,
"price": 25,
"list_price": 50,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "6",
"option2": null,
"option3": null,
"grams": 492,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00"
}
],
"currency": "USD",
"price_min": 25,
"price_max": 25,
"available": true,
"published_at": "2026-09-25T16:58:13-07:00",
"created_at": "2026-03-27T14:03:50-07:00",
"updated_at": "2026-09-30T08:12:12-07:00",
"source": "json"
},
{
"id": 7258385809488,
"alias": "mens-canvas-runner-nz",
"title": "Men's Canvas Runner NZ - Deep Navy Stripes (Blizzard Sole)",
"url": "https://allbirds.com/products/mens-canvas-runner-nz",
"description": null,
"description_html": "<p> </p>",
"brand": "Allbirds",
"product_type": "Shoes",
"tags": [
"allbirds::carbon-score => undefined",
"allbirds::cfId => color-1cef6be0d20d9c20d604095208afc4c8"
],
"image": "https://cdn.shopify.com/s/files/1/1104/4168/files/A12500_26Q1_Runner-NZ-Canvas-Stripes-Deep-Navy-Blizzard-Sole_PDP_LEFT.png?v=1774550585",
"images": [
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12500_26Q1_Runner-NZ-Canvas-Stripes-Deep-Navy-Blizzard-Sole_PDP_LEFT.png?v=1774550585",
"https://cdn.shopify.com/s/files/1/1104/4168/files/A12500_26Q1_Runner-NZ-Canvas-Stripes-Deep-Navy-Blizzard-Sole_PDP_BACK.png?v=1774550584"
],
"options": [
{
"name": "Size",
"position": 1,
"values": [
"8",
"8.5"
]
}
],
"variants": [
{
"id": 41884546990160,
"title": "8",
"sku": "A12498M080",
"barcode": null,
"price": 100,
"list_price": null,
"currency": "USD",
"available": false,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8",
"option2": null,
"option3": null,
"grams": 715,
"weight": null,
"weight_unit": null,
"position": 1,
"image": null,
"created_at": "2025-12-04T12:15:25-08:00",
"updated_at": "2026-09-30T08:12:12-07:00"
},
{
"id": 41884547022928,
"title": "8.5",
"sku": "A12498M085",
"barcode": null,
"price": 100,
"list_price": null,
"currency": "USD",
"available": true,
"inventory_quantity": null,
"inventory_policy": null,
"inventory_management": null,
"fulfillment_service": null,
"requires_shipping": true,
"taxable": true,
"option1": "8.5",
"option2": null,
"option3": null,
"grams": 726,
"weight": null,
"weight_unit": null,
"position": 2,
"image": null,
"created_at": "2025-12-04T12:15:25-08:00",
"updated_at": "2026-09-30T08:12:12-07:00"
}
],
"currency": "USD",
"price_min": 100,
"price_max": 100,
"available": true,
"published_at": "2026-09-25T16:58:09-07:00",
"created_at": "2025-12-04T12:15:25-08:00",
"updated_at": "2026-09-30T08:12:12-07:00",
"source": "json"
}
],
"source": "json",
"proxy_traffic_bytes": 54116
},
"total_points": 2
}E-commerce & Marketplaces
Shopify store products
List all products of a Shopify store (not a keyword search) with variants, prices and availability. 1 point per returned record.
POST
/
functions
/
v1
/
run-shopify-products-search
Shopify store products
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.